For the complete documentation index, see llms.txt. This page is also available as Markdown.

AiApi

get
Responses
200

Success

stringOptional
get/AiApi/Ping
GET /AiApi/Ping HTTP/1.1
Accept: */*
200

Success

text
post
Body
buildingIdinteger · int32Optional
typestring · nullableOptional
buildingDataProviderIdinteger · int32 · nullableOptional
Responses
200

Success

No content

post/AiApi/StoreSignalsDataBatch
POST /AiApi/StoreSignalsDataBatch HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "buildingId": 1,
  "type": "text",
  "signals": [
    {
      "key": "text",
      "name": "text",
      "signalData": [
        {
          "dateUTC": "2026-01-01T00:00:00.000Z",
          "value": 1
        }
      ]
    }
  ],
  "buildingDataProviderId": 1
}
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
Responses
200

Success

No content

get/AiApi/GetSetPoints
GET /AiApi/GetSetPoints HTTP/1.1
Accept: */*
200

Success

No content

Deprecated
get
Query parameters
buildingIdinteger · int32Optional
Responses
200

Success

No content

get/AiApi/GetWriteSignals
GET /AiApi/GetWriteSignals HTTP/1.1
Accept: */*
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
signalNamestringOptional
Responses
200

Success

No content

get/AiApi/GetSignal
GET /AiApi/GetSignal HTTP/1.1
Accept: */*
200

Success

No content

post
Body
buildingIdinteger · int32Optional
signalIdinteger · int32Optional
Responses
200

Success

No content

post/AiApi/UpdateSignal
POST /AiApi/UpdateSignal HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "buildingId": 1,
  "signalId": 1,
  "update": {
    "min": 1,
    "max": 1
  }
}
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
Responses
200

Success

No content

get/AiApi/GetBuilding
GET /AiApi/GetBuilding HTTP/1.1
Accept: */*
200

Success

No content

post
Body
buildingIdinteger · int32Optional
Responses
200

Success

No content

post/AiApi/UpdateBuilding
POST /AiApi/UpdateBuilding HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "buildingId": 1,
  "update": {
    "isAiActive": true,
    "temperatureFocus": 1,
    "ventilationFocus": 1
  }
}
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
kindstringOptional
Responses
200

Success

No content

get/AiApi/GetSignals
GET /AiApi/GetSignals HTTP/1.1
Accept: */*
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
Responses
200

Success

No content

get/AiApi/GetCurrentObservablesValueByBuildingId
GET /AiApi/GetCurrentObservablesValueByBuildingId HTTP/1.1
Accept: */*
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
timestampstring · date-timeOptional
Responses
200

Success

No content

get/AiApi/GetMinMaxChanges
GET /AiApi/GetMinMaxChanges HTTP/1.1
Accept: */*
200

Success

No content

get
Query parameters
buildingIdinteger · int32Optional
Responses
200

Success

No content

get/AiApi/GetAiSettings
GET /AiApi/GetAiSettings HTTP/1.1
Accept: */*
200

Success

No content

post
Body
buildingIdinteger · int32Optional
aiSettingIdinteger · int32Optional
valueinteger · int32Optional
Responses
200

Success

No content

post/AiApi/UpdateAiSetting
POST /AiApi/UpdateAiSetting HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "buildingId": 1,
  "aiSettingId": 1,
  "value": 1
}
200

Success

No content

Last updated

Was this helpful?